EXECUTE (CREATE TABLE FINANCIAL_POSITION (
     FINANCIAL_POSITION_RK NUMBER(10) NOT NULL,
     VALID_FROM_DTTM      DATE NOT NULL,
     FINANCIAL_INSTRUMENT_RK NUMBER(10),
     VALID_TO_DTTM        DATE NOT NULL,
     FINANCIAL_POSITION_ID VARCHAR2(32) NOT NULL,
     TOTAL_LIMIT_AMT      NUMBER(18,5),
     MOST_RECENT_DEAL_DTTM DATE,
     SOURCE_SYSTEM_CD     VARCHAR2(3),
     MOST_RECENT_DEAL_AMT NUMBER(18,5),
     CURRENCY_CD          VARCHAR2(3),
     EFFECTIVE_FROM_DT    DATE,
     EXPIRATION_DT        DATE,
     FINANCIAL_POSITION_STATUS_CD VARCHAR2(3),
     HOLDINGS_NO          NUMBER(18,5),
     BUY_PRICE_AMT        NUMBER(18,5),
     SELL_PRICE_AMT       NUMBER(18,5),
     POSITION_PAYMENT_LEG_CD VARCHAR2(3),
     PORTFOLIO_ID         VARCHAR2(32),
     COUNTERPARTY_RK      NUMBER(10),
     CUSTODIAN_COUNTERPARTY_RK NUMBER(10),
     OWNED_BY_INTERNAL_ORG_RK NUMBER(10),
     NETTING_SET_RK       NUMBER(10),
     FINANCIAL_POSITION_TYPE_CD VARCHAR2(5),
     EQUITY_IN_LEG_PROGRAM_FLG VARCHAR2(1),
     OFF_BALANCE_SHEET_TYPE_CD VARCHAR2(3),
     SECURITIZATION_POOL_RK NUMBER(10),
     GL_ACCOUNT_RK        NUMBER(10),
     EQUITY_POSITION_TYPE_CD VARCHAR2(3),
     EFFECTIVE_FROM_DTTM  DATE,
     EFFECTIVE_TO_DTTM    DATE,
     EXPOSURE_AT_DEFAULT_AMT NUMBER(18,5),
     ADJUSTMENT_TO_EXPOSURE_AMT NUMBER(18,5),
     SEGMENT_RK           NUMBER(10),
     CONTRACT_DELIVERY_DT DATE,
     REPO_TRANSACTION_FLG VARCHAR2(1),
     FINANCIAL_FUND_RK    NUMBER(10),
     PHYSICAL_ASSET_RK    NUMBER(10),
     CAPITAL_ALLOCATION_RK NUMBER(10),
     CAPITAL_COST_RK      NUMBER(10),
     MARGIN_AGREEMENT_RK  NUMBER(10),
     CREDIT_FACILITY_RK   NUMBER(10),
     EXPENSE_ALLOCATION_RK NUMBER(10),
     FINANCIAL_POSITION_ROLE_CD VARCHAR2(3),
     LIQUIDITY_CATEGORY_TYPE_CD VARCHAR2(3),
     CONCENTRATION_RSK_FLG VARCHAR2(1),
     LIQUIDITY_HORIZON_MONTH_CNT NUMBER(6),
     RECEIVABLES_POOL_RK  NUMBER(10),
     UNENCUMBERED_FLG     VARCHAR2(1),
     PROCESSED_DTTM       DATE NOT NULL,
     PRIMARY KEY (FINANCIAL_POSITION_RK, VALID_FROM_DTTM)
)) BY ORACLE;

