/*-- Copyright (c) 2013 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --*/ 
/*
Model         Insurance DDS 5.4M1
Subject Area  Entire
Model Version 
Name          orddl .sas
DBMS          Oracle
Created       3/3/2013 11:22:15 PM
* Copyright (c) 2013 by SAS Institute Inc., Cary, NC 27513
*/
%MACRO orddl (USER=, PASS=, PATH=, fileloc=);
PROC SQL NOERRORSTOP;
CONNECT TO ORACLE (USER=&USER PASS=&PASS PATH=&PATH);
  %include "&fileloc./accounting_trans.sas";
  %include "&fileloc./accounting_trans_line_item.sas";
  %include "&fileloc./account_credit_assessment.sas";
  %include "&fileloc./account_credit_risk_mitigant.sas";
  %include "&fileloc./account_period.sas";
  %include "&fileloc./account_period_assoc.sas";
  %include "&fileloc./agency_type.sas";
  %include "&fileloc./air_sport_details.sas";
  %include "&fileloc./alarm_details.sas";
  %include "&fileloc./analytical_model.sas";
  %include "&fileloc./analytical_model_assoc.sas";
  %include "&fileloc./analytical_model_package.sas";
  %include "&fileloc./analytical_model_parameter.sas";
  %include "&fileloc./analytical_model_x_entity.sas";
  %include "&fileloc./analytical_model_x_exposure.sas";
  %include "&fileloc./analytical_model_x_risk_factor.sas";
  %include "&fileloc./annuity_policy_details.sas";
  %include "&fileloc./annuity_product.sas";
  %include "&fileloc./anti_theft_device.sas";
  %include "&fileloc./application_details.sas";
  %include "&fileloc./assessment_agency.sas";
  %include "&fileloc./assessment_rating_grade.sas";
  %include "&fileloc./assessment_type.sas";
  %include "&fileloc./assessment_values.sas";
  %include "&fileloc./asset_portfolio_segment.sas";
  %include "&fileloc./asset_segment_x_exposure.sas";
  %include "&fileloc./asset_x_physical_collateral.sas";
  %include "&fileloc./auto_loss_details.sas";
  %include "&fileloc./aviation_details.sas";
  %include "&fileloc./barrier_feature.sas";
  %include "&fileloc./bathroom_type_details.sas";
  %include "&fileloc./beneficiary.sas";
  %include "&fileloc./beneficiary_x_uoe.sas";
  %include "&fileloc./benefit_payout_schedule.sas";
  %include "&fileloc./binary_option_instrument.sas";
  %include "&fileloc./bldg_improvement_details.sas";
  %include "&fileloc./bldg_occupancy_details.sas";
  %include "&fileloc./bldg_protection_details.sas";
  %include "&fileloc./bond_instrument.sas";
  %include "&fileloc./bond_quote.sas";
  %include "&fileloc./bond_volatility_quote.sas";
  %include "&fileloc./builtins_details.sas";
  %include "&fileloc./business_entity.sas";
  %include "&fileloc./cal_date.sas";
  %include "&fileloc./campaign.sas";
  %include "&fileloc./capital_allocation.sas";
  %include "&fileloc./capital_cost.sas";
  %include "&fileloc./cardiac_murmur_details.sas";
  %include "&fileloc./catastrophe.sas";
  %include "&fileloc./ceded_loss.sas";
  %include "&fileloc./claimant.sas";
  %include "&fileloc./claim_administrator.sas";
  %include "&fileloc./claim_driver_details.sas";
  %include "&fileloc./claim_injured.sas";
  %include "&fileloc./claim_item.sas";
  %include "&fileloc./claim_service_provider.sas";
  %include "&fileloc./claim_trans.sas";
  %include "&fileloc./claim_trans_line_item.sas";
  %include "&fileloc./claim_unit.sas";
  %include "&fileloc./claim_unit_x_administrator.sas";
  %include "&fileloc./claim_unit_x_injured.sas";
  %include "&fileloc./claim_unit_x_service_provider.sas";
  %include "&fileloc./climbing_details.sas";
  %include "&fileloc./coinsurance_details.sas";
  %include "&fileloc./col_index.sas";
  %include "&fileloc./comml_driver_details.sas";
  %include "&fileloc./comml_motor_agreement.sas";
  %include "&fileloc./comml_non_owned_details.sas";
  %include "&fileloc./comml_prop_constr_details.sas";
  %include "&fileloc./comml_prop_details.sas";
  %include "&fileloc./comml_vehicle_details.sas";
  %include "&fileloc./commodity_code.sas";
  %include "&fileloc./commodity_instrument.sas";
  %include "&fileloc./commodity_quote.sas";
  %include "&fileloc./commodity_type.sas";
  %include "&fileloc./commodity_volatility_quote.sas";
  %include "&fileloc./communication.sas";
  %include "&fileloc./competition_details.sas";
  %include "&fileloc./complaint.sas";
  %include "&fileloc./contract_item.sas";
  %include "&fileloc./contract_section_x_ri_carrier.sas";
  %include "&fileloc./conversion_schedule.sas";
  %include "&fileloc./convertible_bond_feature.sas";
  %include "&fileloc./core_banking_account.sas";
  %include "&fileloc./correlation_matrix.sas";
  %include "&fileloc./correlation_matrix_element.sas";
  %include "&fileloc./cost_center.sas";
  %include "&fileloc./cost_center_assoc.sas";
  %include "&fileloc./counterparty.sas";
  %include "&fileloc./counterparty_assoc.sas";
  %include "&fileloc./counterparty_credit_assessment.sas";
  %include "&fileloc./counterparty_credit_behavior.sas";
  %include "&fileloc./counterparty_insurance.sas";
  %include "&fileloc./counterparty_x_cr_mitigant.sas";
  %include "&fileloc./counterparty_x_customer.sas";
  %include "&fileloc./counterparty_x_external_org.sas";
  %include "&fileloc./counterparty_x_internal_org.sas";
  %include "&fileloc./counterparty_x_segment.sas";
  %include "&fileloc./country.sas";
  %include "&fileloc./country_external_data.sas";
  %include "&fileloc./county.sas";
  %include "&fileloc./coverage.sas";
  %include "&fileloc./coverage_details.sas";
  %include "&fileloc./coverage_options_benefits.sas";
  %include "&fileloc./covered_perils.sas";
  %include "&fileloc./credit_card_account.sas";
  %include "&fileloc./credit_derivative_instrument.sas";
  %include "&fileloc./credit_derivative_instr_quote.sas";
  %include "&fileloc./credit_deriv_cr_mitigant.sas";
  %include "&fileloc./credit_facility.sas";
  %include "&fileloc./credit_facility_credit_assess.sas";
  %include "&fileloc./credit_facility_cr_mitigant.sas";
  %include "&fileloc./credit_facility_group.sas";
  %include "&fileloc./credit_risk_mitigant.sas";
  %include "&fileloc./credit_risk_mitigant_type.sas";
  %include "&fileloc./credit_score_details.sas";
  %include "&fileloc./credit_spread_quote.sas";
  %include "&fileloc./credit_surcharge.sas";
  %include "&fileloc./crime_details.sas";
  %include "&fileloc./criminal_conviction_details.sas";
  %include "&fileloc./critical_illness.sas";
  %include "&fileloc./cross_sell_target_product.sas";
  %include "&fileloc./currency.sas";
  %include "&fileloc./currency_conversion_rate.sas";
  %include "&fileloc./customer.sas";
  %include "&fileloc./customer_communication.sas";
  %include "&fileloc./customer_model_score.sas";
  %include "&fileloc./customer_segment.sas";
  %include "&fileloc./customer_survey.sas";
  %include "&fileloc./cust_ins_with_other_insurers.sas";
  %include "&fileloc./day_basis.sas";
  %include "&fileloc./deck_details.sas";
  %include "&fileloc./deductible.sas";
  %include "&fileloc./default_event.sas";
  %include "&fileloc./derivative_instrument.sas";
  %include "&fileloc./disability.sas";
  %include "&fileloc./discrete_carrying_cost.sas";
  %include "&fileloc./discrete_yield.sas";
  %include "&fileloc./dive_purpose_details.sas";
  %include "&fileloc./driver.sas";
  %include "&fileloc./driver_history.sas";
  %include "&fileloc./driver_vehicle_details.sas";
  %include "&fileloc./economic_sector.sas";
  %include "&fileloc./eligible_cr_mitigant_type.sas";
  %include "&fileloc./embedded_options.sas";
  %include "&fileloc./employee.sas";
  %include "&fileloc./equity_instrument.sas";
  %include "&fileloc./equity_quote.sas";
  %include "&fileloc./equity_volatility_quote.sas";
  %include "&fileloc./event.sas";
  %include "&fileloc./exotic_option_attribute.sas";
  %include "&fileloc./exotic_option_instrument.sas";
  %include "&fileloc./expense_allocation.sas";
  %include "&fileloc./exposure_cr_mitigant_rank.sas";
  %include "&fileloc./exposure_pledged.sas";
  %include "&fileloc./exposure_recovery.sas";
  %include "&fileloc./extendible_option_instrument.sas";
  %include "&fileloc./external_org.sas";
  %include "&fileloc./external_org_address.sas";
  %include "&fileloc./external_org_assoc.sas";
  %include "&fileloc./external_org_financial_data.sas";
  %include "&fileloc./external_org_industry_class.sas";
  %include "&fileloc./family_illness_details.sas";
  %include "&fileloc./fees.sas";
  %include "&fileloc./financial_account.sas";
  %include "&fileloc./financial_account_address.sas";
  %include "&fileloc./financial_account_assoc.sas";
  %include "&fileloc./financial_account_calc_spec.sas";
  %include "&fileloc./financial_account_chng.sas";
  %include "&fileloc./financial_account_resets.sas";
  %include "&fileloc./financial_acct_transfer_rate.sas";
  %include "&fileloc./financial_calendar.sas";
  %include "&fileloc./financial_cal_date.sas";
  %include "&fileloc./financial_collateral.sas";
  %include "&fileloc./financial_fund.sas";
  %include "&fileloc./financial_instrument.sas";
  %include "&fileloc./financial_instrument_assoc.sas";
  %include "&fileloc./financial_instrument_calc_spec.sas";
  %include "&fileloc./financial_instrument_chng.sas";
  %include "&fileloc./financial_instrument_class.sas";
  %include "&fileloc./financial_instrument_issue.sas";
  %include "&fileloc./financial_instrument_type.sas";
  %include "&fileloc./financial_instrument_var.sas";
  %include "&fileloc./financial_instr_transfer_rate.sas";
  %include "&fileloc./financial_inst_credit_assess.sas";
  %include "&fileloc./financial_position.sas";
  %include "&fileloc./financial_position_cr_mitigant.sas";
  %include "&fileloc./financial_reporting_data.sas";
  %include "&fileloc./fin_acct_irreg_cashflw_payment.sas";
  %include "&fileloc./fleet_details.sas";
  %include "&fileloc./foreign_travel_details.sas";
  %include "&fileloc./forward_instrument.sas";
  %include "&fileloc./forward_instrument_quote.sas";
  %include "&fileloc./fra_instrument.sas";
  %include "&fileloc./fra_instrument_leg.sas";
  %include "&fileloc./fra_instrument_quote.sas";
  %include "&fileloc./fund_instrument.sas";
  %include "&fileloc./fund_instrument_quote.sas";
  %include "&fileloc./fx_forward_quote.sas";
  %include "&fileloc./fx_instrument.sas";
  %include "&fileloc./fx_quote.sas";
  %include "&fileloc./fx_volatility_quote.sas";
  %include "&fileloc./garage_type_details.sas";
  %include "&fileloc./general_hedging_set.sas";
  %include "&fileloc./general_insurance_claim.sas";
  %include "&fileloc./general_insurance_product.sas";
  %include "&fileloc./general_policy_trans.sas";
  %include "&fileloc./general_policy_trans_line_item.sas";
  %include "&fileloc./general_unit_of_exposure.sas";
  %include "&fileloc./glass_sign_type_details.sas";
  %include "&fileloc./gl_account.sas";
  %include "&fileloc./gl_account_assoc.sas";
  %include "&fileloc./gl_account_balance.sas";
  %include "&fileloc./gl_jrnl.sas";
  %include "&fileloc./gl_jrnl_details.sas";
  %include "&fileloc./gl_segment_balance.sas";
  %include "&fileloc./gl_segment_parameter.sas";
  %include "&fileloc./gl_segment_param_group.sas";
  %include "&fileloc./guarantee.sas";
  %include "&fileloc./haircut_set.sas";
  %include "&fileloc./health_agreement.sas";
  %include "&fileloc./heating_unit_details.sas";
  %include "&fileloc./hedge.sas";
  %include "&fileloc./household.sas";
  %include "&fileloc./incident_details.sas";
  %include "&fileloc./income_options.sas";
  %include "&fileloc./income_payout_details.sas";
  %include "&fileloc./index_quote.sas";
  %include "&fileloc./index_volatility_quote.sas";
  %include "&fileloc./individual.sas";
  %include "&fileloc./individual_address.sas";
  %include "&fileloc./individual_assoc.sas";
  %include "&fileloc./inquiry.sas";
  %include "&fileloc./insurance_policy.sas";
  %include "&fileloc./insurance_policy_restrictions.sas";
  %include "&fileloc./insured_person_details.sas";
  %include "&fileloc./interest_rate_quote.sas";
  %include "&fileloc./interior_finish_details.sas";
  %include "&fileloc./internal_org.sas";
  %include "&fileloc./internal_org_assoc.sas";
  %include "&fileloc./internal_org_x_product.sas";
  %include "&fileloc./internal_reporting_category.sas";
  %include "&fileloc./internal_rpt_category_assoc.sas";
  %include "&fileloc./int_rate_volatility_quote.sas";
  %include "&fileloc./inventory_details.sas";
  %include "&fileloc./investment_details.sas";
  %include "&fileloc./investment_fund.sas";
  %include "&fileloc./investment_product.sas";
  %include "&fileloc./irregular_cashflow_instrument.sas";
  %include "&fileloc./irregular_cashflow_payment.sas";
  %include "&fileloc./irregular_discrete_monitoring.sas";
  %include "&fileloc./irregular_rate_resets.sas";
  %include "&fileloc./issue_code.sas";
  %include "&fileloc./issue_type.sas";
  %include "&fileloc./item_category.sas";
  %include "&fileloc./item_category_assoc.sas";
  %include "&fileloc./lease_account.sas";
  %include "&fileloc./lease_details.sas";
  %include "&fileloc./legal_prot_agreement.sas";
  %include "&fileloc./legal_prot_insured_subject.sas";
  %include "&fileloc./liability_agreement.sas";
  %include "&fileloc./liability_insured_subject.sas";
  %include "&fileloc./life_agreement.sas";
  %include "&fileloc./life_hazard_exposure.sas";
  %include "&fileloc./life_insurance_claim.sas";
  %include "&fileloc./life_insurance_product.sas";
  %include "&fileloc./life_policy_details.sas";
  %include "&fileloc./life_policy_trans.sas";
  %include "&fileloc./life_policy_trans_line_item.sas";
  %include "&fileloc./life_product.sas";
  %include "&fileloc./life_style_details.sas";
  %include "&fileloc./life_unit_of_exposure.sas";
  %include "&fileloc./limit.sas";
  %include "&fileloc./line_of_business.sas";
  %include "&fileloc./line_of_business_assoc.sas";
  %include "&fileloc./loan.sas";
  %include "&fileloc./loan_account.sas";
  %include "&fileloc./location.sas";
  %include "&fileloc./lookback_option_instrument.sas";
  %include "&fileloc./margin_agreement.sas";
  %include "&fileloc./market_data.sas";
  %include "&fileloc./medical_condition_details.sas";
  %include "&fileloc./medical_exam_details.sas";
  %include "&fileloc./medical_prevention_details.sas";
  %include "&fileloc./medical_treatment_details.sas";
  %include "&fileloc./military_exp_details.sas";
  %include "&fileloc./money_details.sas";
  %include "&fileloc./mortgage_account.sas";
  %include "&fileloc./netting_set.sas";
  %include "&fileloc./option_instrument.sas";
  %include "&fileloc./option_instrument_quote.sas";
  %include "&fileloc./option_schedule.sas";
  %include "&fileloc./org_credit_assessment.sas";
  %include "&fileloc./other_agreement.sas";
  %include "&fileloc./other_insured_subject.sas";
  %include "&fileloc./parameter_locator.sas";
  %include "&fileloc./parameter_values.sas";
  %include "&fileloc./party.sas";
  %include "&fileloc./party_roles.sas";
  %include "&fileloc./payee.sas";
  %include "&fileloc./payout.sas";
  %include "&fileloc./peril.sas";
  %include "&fileloc./pers_accident_agreement.sas";
  %include "&fileloc./pers_driver_details.sas";
  %include "&fileloc./pers_motor_agreement.sas";
  %include "&fileloc./pers_prop_constr_details.sas";
  %include "&fileloc./pers_prop_details.sas";
  %include "&fileloc./pers_vehicle_details.sas";
  %include "&fileloc./physical_asset.sas";
  %include "&fileloc./physical_asset_credit_assess.sas";
  %include "&fileloc./physical_asset_quote.sas";
  %include "&fileloc./physical_collateral.sas";
  %include "&fileloc./physician.sas";
  %include "&fileloc./policy_model_score.sas";
  %include "&fileloc./policy_segment.sas";
  %include "&fileloc./porch_type_details.sas";
  %include "&fileloc./portfolio.sas";
  %include "&fileloc./postal_cd_external_data.sas";
  %include "&fileloc./power_option_instrument.sas";
  %include "&fileloc./premium_loss_summary.sas";
  %include "&fileloc./prescription_drug_details.sas";
  %include "&fileloc./producer.sas";
  %include "&fileloc./producer_license.sas";
  %include "&fileloc./producer_targets.sas";
  %include "&fileloc./producer_trans.sas";
  %include "&fileloc./producer_trans_line_item.sas";
  %include "&fileloc./producer_x_internal_org.sas";
  %include "&fileloc./producer_x_uoe.sas";
  %include "&fileloc./product_category.sas";
  %include "&fileloc./product_coverage.sas";
  %include "&fileloc./product_features.sas";
  %include "&fileloc./product_section.sas";
  %include "&fileloc./profit_center.sas";
  %include "&fileloc./profit_center_assoc.sas";
  %include "&fileloc./property.sas";
  %include "&fileloc./property_agreement.sas";
  %include "&fileloc./prop_loss_details.sas";
  %include "&fileloc./quanto_feature.sas";
  %include "&fileloc./quote.sas";
  %include "&fileloc./racing_details.sas";
  %include "&fileloc./rainbow_option_instrument.sas";
  %include "&fileloc./range_values.sas";
  %include "&fileloc./ratemaking_claim_freq_severity.sas";
  %include "&fileloc./ratemaking_factor.sas";
  %include "&fileloc./rate_policy.sas";
  %include "&fileloc./rate_policy_parameter.sas";
  %include "&fileloc./rate_policy_rate.sas";
  %include "&fileloc./receivables.sas";
  %include "&fileloc./receivables_pool.sas";
  %include "&fileloc./reference_detail.sas";
  %include "&fileloc./reference_master.sas";
  %include "&fileloc./reinsurance_carrier.sas";
  %include "&fileloc./reinsurance_collateral.sas";
  %include "&fileloc./reinsurance_contract.sas";
  %include "&fileloc./reinsurance_contract_section.sas";
  %include "&fileloc./reinsurance_coverage.sas";
  %include "&fileloc./reinsurance_coverage_reference.sas";
  %include "&fileloc./reinsurance_exposure.sas";
  %include "&fileloc./reinsurance_intermediary.sas";
  %include "&fileloc./reinsurance_program.sas";
  %include "&fileloc./reinsurance_rate.sas";
  %include "&fileloc./reinsurance_reinstatement.sas";
  %include "&fileloc./reinsurance_trans.sas";
  %include "&fileloc./reinsurance_trans_line_item.sas";
  %include "&fileloc./repo_instrument.sas";
  %include "&fileloc./rep_grp.sas";
  %include "&fileloc./rep_grp_assoc.sas";
  %include "&fileloc./reserves_estimates.sas";
  %include "&fileloc./response.sas";
  %include "&fileloc./rf_curve_x_rf_group.sas";
  %include "&fileloc./risk_catastrophe_zone.sas";
  %include "&fileloc./risk_catastrophe_zone_assoc.sas";
  %include "&fileloc./risk_driver.sas";
  %include "&fileloc./risk_driver_x_exposure.sas";
  %include "&fileloc./risk_factor.sas";
  %include "&fileloc./risk_factor_attribute_value.sas";
  %include "&fileloc./risk_factor_curve.sas";
  %include "&fileloc./risk_factor_group.sas";
  %include "&fileloc./risk_factor_x_exposure.sas";
  %include "&fileloc./risk_factor_x_risk_fctr_curve.sas";
  %include "&fileloc./risk_position.sas";
  %include "&fileloc./ri_trans_x_ceded_loss.sas";
  %include "&fileloc./ri_trans_x_ri_exposure.sas";
  %include "&fileloc./rsk_fctr_x_anal_mdl_trans_meth.sas";
  %include "&fileloc./safe_vault_details.sas";
  %include "&fileloc./salvage_details.sas";
  %include "&fileloc./schedule.sas";
  %include "&fileloc./schedule_group_rate.sas";
  %include "&fileloc./schedule_param_group.sas";
  %include "&fileloc./schedule_x_insurance_product.sas";
  %include "&fileloc./schedule_x_segment.sas";
  %include "&fileloc./section.sas";
  %include "&fileloc./securitization_instrument.sas";
  %include "&fileloc./securitization_instr_quote.sas";
  %include "&fileloc./securitization_pool.sas";
  %include "&fileloc./security_details.sas";
  %include "&fileloc./segment.sas";
  %include "&fileloc./segment_attribute_value.sas";
  %include "&fileloc./segment_credit_assessment.sas";
  %include "&fileloc./serviced_terminal_details.sas";
  %include "&fileloc./specialty_room_details.sas";
  %include "&fileloc./state_region.sas";
  %include "&fileloc./substance_usage_details.sas";
  %include "&fileloc./substructure_type_details.sas";
  %include "&fileloc./sub_account.sas";
  %include "&fileloc./sub_account_amounts.sas";
  %include "&fileloc./sub_ledger.sas";
  %include "&fileloc./sub_ledger_balance.sas";
  %include "&fileloc./super_annuation_details.sas";
  %include "&fileloc./survey.sas";
  %include "&fileloc./survey_answer.sas";
  %include "&fileloc./survey_question.sas";
  %include "&fileloc./swap_instrument.sas";
  %include "&fileloc./swap_instrument_leg.sas";
  %include "&fileloc./swap_instrument_quote.sas";
  %include "&fileloc./swimming_pool_details.sas";
  %include "&fileloc./tariff_details.sas";
  %include "&fileloc./technical_insurance_agreement.sas";
  %include "&fileloc./technical_insured_subject.sas";
  %include "&fileloc./term.sas";
  %include "&fileloc./time_frequency.sas";
  %include "&fileloc./transition_matrix.sas";
  %include "&fileloc./transition_matrix_element.sas";
  %include "&fileloc./transition_matrix_group.sas";
  %include "&fileloc./transition_source.sas";
  %include "&fileloc./transition_source_type.sas";
  %include "&fileloc./transition_state.sas";
  %include "&fileloc./trans_matrix_x_analytical_mdl.sas";
  %include "&fileloc./truckers_terminal.sas";
  %include "&fileloc./underlying_monitoring.sas";
  %include "&fileloc./underwater_diving_details.sas";
  %include "&fileloc./unit_of_measure.sas";
  %include "&fileloc./up_sell_target_coverage.sas";
  %include "&fileloc./uw_class_details.sas";
  %include "&fileloc./vehicle.sas";
  %include "&fileloc./vehicle_accessories.sas";
  %include "&fileloc./violation_details.sas";
  %include "&fileloc./xl_layer.sas";
  %include "&fileloc./xl_layer_x_ri_carrier.sas";
  %include "&fileloc./young_driver_details.sas";
DISCONNECT FROM ORACLE;
QUIT;
%MEND;
