CREATE TABLE &LIBREF..FINANCIAL_FUND (
     FINANCIAL_FUND_RK    NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Financial Fund Key',
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid From Date Time',
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid To Date time',
     FINANCIAL_FUND_ID    VARCHAR(32) label='Financial Fund Identifier',
     FINANCIAL_FUND_NM    VARCHAR(40) label='Financial Fund Name',
     FUND_DESC            VARCHAR(100) label='Fund Description',
     FINANCIAL_FUND_TYPE_CD VARCHAR(3) label='Financial Fund Type Code',
     RING_FENCED_FLG      CHARACTER(1) label='Ring Fenced Flag',
     PROFIT_PARTICIPATION_PCT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Profit Participation Percent',
     EFFECTIVE_FROM_DTTM  DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Effective From Date time',
     EFFECTIVE_TO_DTTM    DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Effective To Date time',
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Processed Date Time',
     CONSTRAINT PRIM_KEY PRIMARY KEY (FINANCIAL_FUND_RK, VALID_FROM_DTTM)
);

