CREATE TABLE &LIBREF..FINANCIAL_INSTRUMENT (
     FINANCIAL_INSTRUMENT_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Financial Instrument Key',
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid From Date Time',
     RATE_POLICY_RK       NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Policy Key',
     INTEREST_PAYMENT_TYPE_CD VARCHAR(3) label='Interest Payment Type Code',
     FINANCIAL_INSTRUMENT_ID VARCHAR(32) label='Financial Instrument Identifier',
     FINANCIAL_INSTRUMENT_NM VARCHAR(200) label='Financial Instrument Name',
     EFFECTIVE_FROM_DT    DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Effective From Date',
     MATURITY_DT          DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Maturity Date',
     SOURCE_SYSTEM_CD     VARCHAR(3) label='Source System Code',
     FIRST_PAYMENT_DT     DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='First Payment Date',
     LAST_PAYMENT_DT      DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Last Payment Date',
     FACE_VALUE_AMT       NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Face Value Amount',
     PAYMENTS_PER_ANNUM_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Payments Per Annum Rate',
     FIRST_RESET_DT       DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='First Reset Date',
     LAST_RESET_DT        DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Last Reset Date',
     RESETS_PER_ANNUM_NO  NUMERIC(5) FORMAT=5. INFORMAT=5. label='Resets Per Annum Number',
     GRACE_PERIOD_DAYS_CNT NUMERIC(3) FORMAT=3. INFORMAT=3. label='Grace Period Days Count',
     MATERIALITY_THRESHOLD_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Materiality Threshold Amount',
     PRESENT_VALUE_AMT    NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Present Value Amount',
     FINANCIAL_INSTRUMENT_TYPE_CD VARCHAR(3) label='Financial Instrument Type Code',
     FINANCIAL_CALENDAR_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Financial Calendar Key',
     HIGH_RISK_CATEGORY_FLG CHARACTER(1) label='High Risk Category Flag',
     IRRECOVERABLE_FLG    CHARACTER(1) label='Irrecoverable Flag',
     MATERIALITY_THRESH_CURRENCY_CD VARCHAR(3) label='Materiality Threshold Currency Code',
     CURRENCY_CD          VARCHAR(3) label='Currency Code',
     MTM_VALUE_TO_SELL_CURRENCY_CD VARCHAR(3) label='Mark to Market Value To Sell Currency Code',
     MTM_VALUE_TO_BUY_CURRENCY_CD VARCHAR(3) label='Mark to Market Value to Buy Currency Code',
     REMARGINING_DAYS_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label='Remargining Days Count',
     ISSUER_COUNTERPARTY_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Issuer Counterparty Key',
     NEXT_CONTRACT_RESET_DT DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Next Contract Reset Date',
     DAY_BASIS_CD         VARCHAR(10) label='Day Basis Code',
     COVER_SECURITIZATION_POOL_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Cover Securitization Pool Key',
     SENIORITY_CD         VARCHAR(3) label='Seniority Code',
     EFFECTIVE_MATURITY_YEAR_NO NUMERIC(7,3) FORMAT=NLNUM7.3 INFORMAT=NLNUM7.3 label='Effective Maturity Year Number',
     EFFECTIVE_FROM_DTTM  DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Effective From Date time',
     EFFECTIVE_TO_DTTM    DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Effective To Date time',
     BOOK_VALUE_AMT       NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Book Value Amount',
     CONTRACT_SETTLEMENT_DT DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Contract Settlement Date',
     PAYMENT_RESET_FREQ_MONTH_NO NUMERIC(10) FORMAT=10. INFORMAT=10. label='Payment Reset Freq Month Number',
     SPREAD_RT            NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Spread Rate',
     DISCOUNT_SPREAD_RT   NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Discount Spread Rate',
     INITIAL_CONTRACT_RT  NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Initial Contract Rate',
     PRINCIPAL_PAYMENT_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Principal Payment Amount',
     ANNUITY_PAYMENT_AMT  NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Annuity Payment Amount',
     YIELD_RT             NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Yield Rate',
     CARRYING_COST_RT     NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Carrying Cost Rate',
     COMPOUNDING_CD       VARCHAR(10) label='Compounding Code',
     ACCRUED_BASE_AMT     NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Accrued Base Amount',
     PRINCIPAL_PAYMENT_TYPE_CD VARCHAR(3) label='Principal Payment Type Code',
     SETTLEMENT_TYPE_CD   VARCHAR(3) label='Settlement Type Code',
     QUANTO_FEATURE_RK    NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Quanto Feature Key',
     ANNUITY_PAYMENT_TYPE_CD VARCHAR(3) label='Annuity Payment Type Code',
     ARREARS_PAYMENT_CD   VARCHAR(3) label='Arrears Payment Code',
     CONVEXITY_ADJUSTMENT_FLG CHARACTER(1) label='Convexity Adjustment Flag',
     COUPON_GRACE_DAYS_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label='Coupon Grace Days Count',
     INTEREST_PAYMENT_TIME_FREQ_CD VARCHAR(3) label='Time Frequency Code',
     INTERNAL_REPORTING_CATEGORY_CD VARCHAR(3) label='Internal Reporting Category Code',
     PAYMENT_TIME_FREQUENCY_CD VARCHAR(3) label='Payment Time Frequency Code',
     UP_FRONT_FEE_AMT     NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Up Front Fee Amount',
     UP_FRONT_FEE_DT      DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Up Front Fee Date',
     CAPITAL_CLASS_TYPE_CD VARCHAR(3) label='Capital Class Type Code',
     VALUE_SCALING_FACTOR_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Value Scaling Factor Rate',
     FIRST_INTEREST_PAYMENT_DT DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='First Interest Payment Date',
     HOLIDAY_DATE_ROLL_CONV_CD VARCHAR(3) label='Holiday Date Roll Conv Code',
     LAST_INTEREST_PAYMENT_DT DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Last Interest Payment Date',
     LIQUIDITY_HORIZON_MONTH_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label='Liquidity Horizon Month Count',
     WEEKEND_DATE_ROLL_CONV_CD VARCHAR(3) label='Weekend Date Roll Conv Code',
     CIC_CD               VARCHAR(4) label='Complementary Identification Code',
     UNWIND_TRIGGER_EVENT_TYPE_CD VARCHAR(3) label='Unwind Trigger Of Contract',
     UNWIND_MAX_LOSS_AMT  NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Maximum Loss Under Unwinding Event',
     PAYMENT_DAY_OF_MONTH_NO NUMERIC(3) FORMAT=3. INFORMAT=3. label='Payment Day of Month Number',
     INT_PAYMENT_DAY_OF_MONTH_NO NUMERIC(3) FORMAT=3. INFORMAT=3. label='Interest Payment Day of Month Number',
     RESET_DAY_OF_MONTH_NO NUMERIC(3) FORMAT=3. INFORMAT=3. label='Reset Day of Month Number',
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid To Date time',
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Processed Date Time',
     CONSTRAINT PRIM_KEY PRIMARY KEY (FINANCIAL_INSTRUMENT_RK, VALID_FROM_DTTM)
);

