EXECUTE (CREATE TABLE FINANCIAL_INSTRUMENT (
     FINANCIAL_INSTRUMENT_RK NUMERIC(10)     NOT NULL,
     VALID_FROM_DTTM      TIMESTAMP     NOT NULL,
     RATE_POLICY_RK       NUMERIC(10),
     INTEREST_PAYMENT_TYPE_CD VARCHAR(3),
     FINANCIAL_INSTRUMENT_ID VARCHAR(32),
     FINANCIAL_INSTRUMENT_NM VARCHAR(200),
     EFFECTIVE_FROM_DT    DATE,
     MATURITY_DT          DATE,
     SOURCE_SYSTEM_CD     VARCHAR(3),
     FIRST_PAYMENT_DT     DATE,
     LAST_PAYMENT_DT      DATE,
     FACE_VALUE_AMT       NUMERIC(18,5),
     PAYMENTS_PER_ANNUM_RT NUMERIC(9,4),
     FIRST_RESET_DT       DATE,
     LAST_RESET_DT        DATE,
     RESETS_PER_ANNUM_NO  NUMERIC(5),
     GRACE_PERIOD_DAYS_CNT NUMERIC(3),
     MATERIALITY_THRESHOLD_AMT NUMERIC(18,5),
     PRESENT_VALUE_AMT    NUMERIC(18,5),
     FINANCIAL_INSTRUMENT_TYPE_CD VARCHAR(3),
     FINANCIAL_CALENDAR_RK NUMERIC(10),
     HIGH_RISK_CATEGORY_FLG CHARACTER(1),
     IRRECOVERABLE_FLG    CHARACTER(1),
     MATERIALITY_THRESH_CURRENCY_CD VARCHAR(3),
     CURRENCY_CD          VARCHAR(3),
     MTM_VALUE_TO_SELL_CURRENCY_CD VARCHAR(3),
     MTM_VALUE_TO_BUY_CURRENCY_CD VARCHAR(3),
     REMARGINING_DAYS_CNT NUMERIC(6),
     ISSUER_COUNTERPARTY_RK NUMERIC(10),
     NEXT_CONTRACT_RESET_DT DATE,
     DAY_BASIS_CD         VARCHAR(10),
     COVER_SECURITIZATION_POOL_RK NUMERIC(10),
     SENIORITY_CD         VARCHAR(3),
     EFFECTIVE_MATURITY_YEAR_NO NUMERIC(7,3),
     EFFECTIVE_FROM_DTTM  TIMESTAMP,
     EFFECTIVE_TO_DTTM    TIMESTAMP,
     BOOK_VALUE_AMT       NUMERIC(18,5),
     CONTRACT_SETTLEMENT_DT DATE,
     PAYMENT_RESET_FREQ_MONTH_NO NUMERIC(10),
     SPREAD_RT            NUMERIC(9,4),
     DISCOUNT_SPREAD_RT   NUMERIC(9,4),
     INITIAL_CONTRACT_RT  NUMERIC(9,4),
     PRINCIPAL_PAYMENT_AMT NUMERIC(18,5),
     ANNUITY_PAYMENT_AMT  NUMERIC(18,5),
     YIELD_RT             NUMERIC(9,4),
     CARRYING_COST_RT     NUMERIC(9,4),
     COMPOUNDING_CD       VARCHAR(10),
     ACCRUED_BASE_AMT     NUMERIC(18,5),
     PRINCIPAL_PAYMENT_TYPE_CD VARCHAR(3),
     SETTLEMENT_TYPE_CD   VARCHAR(3),
     QUANTO_FEATURE_RK    NUMERIC(10),
     ANNUITY_PAYMENT_TYPE_CD VARCHAR(3),
     ARREARS_PAYMENT_CD   VARCHAR(3),
     CONVEXITY_ADJUSTMENT_FLG CHARACTER(1),
     COUPON_GRACE_DAYS_CNT NUMERIC(6),
     INTEREST_PAYMENT_TIME_FREQ_CD VARCHAR(3),
     INTERNAL_REPORTING_CATEGORY_CD VARCHAR(3),
     PAYMENT_TIME_FREQUENCY_CD VARCHAR(3),
     UP_FRONT_FEE_AMT     NUMERIC(18,5),
     UP_FRONT_FEE_DT      DATE,
     CAPITAL_CLASS_TYPE_CD VARCHAR(3),
     VALUE_SCALING_FACTOR_RT NUMERIC(9,4),
     FIRST_INTEREST_PAYMENT_DT DATE,
     HOLIDAY_DATE_ROLL_CONV_CD VARCHAR(3),
     LAST_INTEREST_PAYMENT_DT DATE,
     LIQUIDITY_HORIZON_MONTH_CNT NUMERIC(6),
     WEEKEND_DATE_ROLL_CONV_CD VARCHAR(3),
     CIC_CD               VARCHAR(4),
     UNWIND_TRIGGER_EVENT_TYPE_CD VARCHAR(3),
     UNWIND_MAX_LOSS_AMT  NUMERIC(18,5),
     PAYMENT_DAY_OF_MONTH_NO NUMERIC(3),
     INT_PAYMENT_DAY_OF_MONTH_NO NUMERIC(3),
     RESET_DAY_OF_MONTH_NO NUMERIC(3),
     VALID_TO_DTTM        TIMESTAMP     NOT NULL,
     PROCESSED_DTTM       TIMESTAMP     NOT NULL)
     PRIMARY INDEX FINANCIAL_INSTRUMENT_PI (FINANCIAL_INSTRUMENT_RK)
) BY TERADATA;

